import { OnInit } from '@angular/core';
import { MatDialog, MatDialogRef } from '@angular/material';
import { jsPlumbToolkit, Surface } from "jsplumbtoolkit";
import { FlowManagerComponent } from './flow-manager';
import { FlowModule } from '@lowcodeunit/core';
export declare class FlowModuleComponent implements OnInit {
    dialog: MatDialog;
    protected mgrDialog: MatDialogRef<FlowManagerComponent>;
    obj: FlowModule;
    ModuleShape: any;
    protected surface: Surface;
    protected token: string;
    protected toolkit: jsPlumbToolkit;
    constructor(dialog: MatDialog);
    ngOnInit(): void;
    Abs(input: number): number;
    OpenFlowManager(node: any): void;
    protected handleSettingsMessage(settings: any): void;
    protected newToken(): string;
    protected shouldHandle(app: string, ev: MessageEvent): any;
}
